%global glib2_version 2.66
%global ostree_version 2017.14
%global flatpak_version 1.10.7

%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:           flatpak-builder
Version:        1.4.4
Release:        %mkrel 3
Summary:        Tool to build flatpaks from source
Group:          System/Packaging
# src/builder-utils.c has portions derived from GPLv2+ code,
# the rest is LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            https://flatpak.org/
Source0:        https://github.com/flatpak/flatpak-builder/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  flatpak >= %{flatpak_version}
BuildRequires:  libcap-devel
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libdwarf)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ostree-1) >= %{ostree_version}
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  xmlto
BuildRequires:  xsltproc
BuildRequires:  appstream
BuildRequires:  appstream-compose

Requires:       appstream-compose
Requires:       flatpak%{?_isa} >= %{flatpak_version}
Requires:       glib2.0-common%{?_isa} >= %{glib2_version}
Requires:       ostree%{?_isa} >= %{ostree_version}
Requires:       binutils
Requires:       bzip2
Requires:       elfutils
Requires:       git-core
Requires:       lzip
Requires:       patch
Requires:       tar
Requires:       unzip
Recommends:     bzr
Recommends:     subversion

%description
Flatpak-builder is a tool for building flatpaks from sources.

See https://flatpak.org/ for more information.


%prep
%autosetup -p1


%build
%meson -D docs=enabled \
       -D fuse=3 \
       -D installed_tests=false \
       -D yaml=enabled
%meson_build


%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc %{_pkgdocdir}
%{_bindir}/flatpak-builder
%{_mandir}/man1/flatpak-builder.1*
%{_mandir}/man5/flatpak-manifest.5*


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 1.4.4-3.mga10
+ Revision: 2248122
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 1.4.4-2.mga10
+ Revision: 2164786
- rebuild for libxml2 2.13.6

* Tue Aug 27 2024 neoclust <neoclust> 1.4.4-1.mga10
+ Revision: 2091823
- New version 1.4.4

* Sun Feb 05 2023 papoteur <papoteur> 1.3.1-1.mga9
+ Revision: 1938567
- new 1.3.1
- remove libsoup requirement
- add yaml support

* Sat Nov 19 2022 papoteur <papoteur> 1.2.2-2.mga9
+ Revision: 1909027
- Fix buildrequires with libdwarf
+ neoclust <neoclust>
- New version 1.2.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 neoclust <neoclust> 1.0.11-1.mga8
+ Revision: 1673530
- New version 1.0.11

* Sat Feb 15 2020 umeabot <umeabot> 1.0.7-2.mga8
+ Revision: 1526655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jun 15 2019 ngompa <ngompa> 1.0.7-1.mga7
+ Revision: 1400039
- Update to 1.0.7

* Sat Aug 25 2018 ngompa <ngompa> 1.0.0-1.mga7
+ Revision: 1254482
- Update to v1.0.0

* Sun Jul 15 2018 wally <wally> 0.99.3-1.mga7
+ Revision: 1243764
- new version 0.99.3

* Mon Feb 12 2018 ngompa <ngompa> 0.10.6-1.mga7
+ Revision: 1200572
- Update to 0.10.6

* Sun Nov 19 2017 ngompa <ngompa> 0.10.4-1.mga7
+ Revision: 1177843
- Upgrade to 0.10.4

* Mon Sep 18 2017 ngompa <ngompa> 0.9.11-2.mga7
+ Revision: 1155307
- Update to 0.9.11

* Mon Sep 11 2017 ngompa <ngompa> 0.9.9-2.mga7
+ Revision: 1152634
- Adapt for Mageia
- imported package flatpak-builder


* Mon Sep 04 2017 Kalev Lember <klember@redhat.com> - 0.9.9-1
- Initial flatpak-builder package
